import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { TaskStatus } from '../../data-view-lib/data-view/task';
import { AxForm } from '../../forms/ax-form';
import { AxSection } from '../../forms/page/data-detail-view/ax-section';
import { DataDetailViewDto } from './data-detail-view-dto';
import * as i0 from "@angular/core";
export declare class FormObjectViewService {
    private _httpClient;
    private _dataDetailId;
    private _formObject;
    private _pageEventData;
    private _widgetIdentifier;
    private dataDetailView;
    private widgetValueMap;
    private identitiferWidgetMap;
    sectionType: any;
    private jsonConvert;
    /**
     * Constructor
     */
    constructor(_httpClient: HttpClient);
    get dataDetailId$(): Observable<number>;
    get formObject$(): Observable<AxForm>;
    get pageEventData$(): Observable<FormData>;
    get getWidgetIdentifier$(): Observable<string>;
    get dataDetailView$(): Observable<DataDetailViewDto>;
    setFormObjectWithDataDetailId(formObject: any, dataDetailId: any): void;
    setFormDataForPaginator(formData: any): void;
    /**
     * Get  Image Annotations
     */
    getImageFieldWithAnnotations(formData: FormData, axonatorX1Url: string): Promise<any>;
    processFormFields(fields: Array<any>): void;
    processFormObjectFields(fields: Array<any>): void;
    processDataDetailViewSection(sections: Array<any>): Array<AxSection>;
    getFormDetails(fid: number, axonatorX1Url: string): Promise<any>;
    /**
     * Get serialized formobject
     */
    getFormObject(formobjectId: string, axonatorX1Url: string): Promise<any>;
    /**
     * Get  data-list data
     */
    getDataDetailView(dataDetailViewId: number, axonatorX1Url: string): Promise<any>;
    createDataDetailView(dataDetailId: number, formObjectId: string, formId: number, axonatorX1Url: string, taskStatus?: TaskStatus): Promise<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormObjectViewService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FormObjectViewService>;
}
